.property-item {
    display: block;
    width: 100%;
    /* margin-bottom: 30px; */
}
.property-item .img {
    background-size: cover;
    display: block;
    height: 250px;
}
.property-item .img > img{
    width:100%;
}
.property-item .text h3 {
    /* height:40px; */
    overflow:hidden;
    font-size: 17px;
    margin-bottom: 5px;
}

/* .property-item .img {
    display: block;
    height: 250px;
} */
.property-item .icon {
    width: 60px;
    height: 60px;
    background: #fff;
    opacity: 0;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    border-radius: 50%;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
.property-item .icon span {
    color: #000000;
}
.property-item:hover .icon {
    opacity: 1;
}
.property-item .text {
    border: 1px solid #e6e6e6;
    border-top: 1px solid transparent;
    background: #fff;
    position: relative;
}
.property-item .sticked {
    position: absolute;
    padding: 2px 15px;
    color: #fff !important;
    border-radius: 5px;
    background: #4588d1;
}
.property-item .sticked > a {
    color: #fff !important;
}
.property-item .sticked > a:hover {
    color:#fff !important;
}
.property-item .sticked.top {
    top: -250px;
}
.property-item .sticked.bottom {
    top: -30px;
}
.property-item .sticked.left {
    left: 1px;
}
.property-item .sticked.right {
    right: 1px;
}
.property-item .sticked.for-sale {
    background: #4588d1;
}
.property-item .sticked.for-rent {
    background: #ff8f56;
}




/* End of Status */
/* .property-item .text .status {
    position: absolute;
    top: -40px;
    padding: 2px 15px;
    color: #fff;
    border-radius: 5px;
}
.property-item .status.left {
    left: -1px;
}
.property-item .status.right {
    right: 1px;
}
.property-item .text .status.sale {
    background: #4588d1;
}
.property-item .text .status.rent {
    background: #ff8f56;
} */
/* End of Status */

.property-item .text h3.title {
    font-size: 17px;
    margin-bottom: 5px;
}
.property-item .text h3.title a {
   /* color: #26baee;
    */
    color:#4588d1;
}
.property-item .location,
.single-property .location {
    opacity:.6;
    font-size:1.4rem;
}
.property-item .text span.listing {
    font-size: 14px;
}

.property-item .half-left {
    width:50%;
    float:left;
}
.property-item .bottom-area {
    position:relative;
}
.property-item .half-right {
    position:absolute;
    float:right;
    right:0;
}
.property-item .text .one {
    width: calc(100% - 80px);
}
.property-item .text .two {
    width: 80px;
    padding-left: 20px;
}
.property-item .price {
    font-weight: 400;
    font-size: 1.8rem;
    color: red;
}
.property-item .price-negotiatable {
    font-weight: 400;
    font-size: 1.8rem;
    color: #4588d1 !important;
}
.property-item .price-term .price-negotiatable {
    font-size: 1.6rem;
}
.property-item .text .two .price small {
    display: block;
    color: #b3b3b3;
}
.property-item .text .two .per-price {
    font-size: 20px;
    line-height: 1.4;
}
.property-item .text .two .per-price small {
    font-size: 12px;
}
.property-item .text .days span {
    font-size: 13px;
    color: black;
}
.property-item .text .bottom-area {
    margin-bottom: 0;
}

.property-item .text .bottom-area span:last-child a {
    background: #252a2b;
    color: #fff;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    padding: 3px 5px;
}
.property-item .text .bottom-area span:last-child a:hover {
    background: #252a2b;
    color: #fff;
}
.property-item-img {
    height: 400px;
    margin-bottom: 2em;
}

.property-item .location-link, .single-property .location-link {
    color: #6a717a;
    font-size: 1.4rem;
}

.row-wrapper {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

/* Styles for properties_3_on_1_row */
a.load-more {
    font-size:1.2rem;
    color:#4588d1;
    margin-bottom:5rem !important;
}
a.load-more:hover {
    color:red;
}
.text-caps {
	text-transform: uppercase;
}
a.underline {
	position:relative;
	text-decoration: none;
	padding:5px;
}
a.underline:after {    
	bottom: 0;
	content: "";
	display: block;
	height: 2px;
	left: 50%;
	position: absolute;
	background: red;
	transition: width 0.3s ease 0s, left 0.3s ease 0s;
	width: 0;
}
a.underline:hover:after { 
	width: 100%; 
	left: 0;
}

@media (min-width: 768px) {
    .property-item .text .bottom-area span:last-child {
        margin-left: 5px;
   }
}
@media (max-width: 991.98px) {
    .property-item:not(.sidebar) {
        margin-bottom: 30px;
   }
}

.single-property-wrapper {
    margin-top:3rem;
}
.right-sidebar-wrapper {
    /* margin-top:3rem; */
}

.right-sidebar-wrapper > div {
    margin-bottom: 2rem;
}
@media (min-width: 768px) {
    .single-property-wrapper {
        padding-right: 3rem !important;
    }
    .right-sidebar-wrapper {

    }
}
@media (max-width: 767px) {
    .single-property-wrapper {
        padding-left: 0 !important;
        padding-right:0 !important;
    }
}

/* Common attributes for all widget */
.aside-widget {
    border-top-left-radius:2rem;
    border-top-right-radius:2rem;
    /* padding:1.2rem .6rem; */
}
.property-list.vertical {
    /* border:0px;
    padding:1rem; */
    border: 0px;
    padding: 0rem;
    border-left: 1px solid #c2c2c2;
    border-right: 1px solid #c2c2c2;
    border-bottom: 1px solid #c2c2c2;
}
.property-list.vertical .property-item {
    height:100%;
    background-color:#fff;
    border-bottom:solid 1px #dfdfdf;
    padding:1.6rem !important;
}

.property-list.featured {
    background:#063b63;
}
.property-list.featured .featured-title {
    color:#fff; 
    font-weight:650; 
    border-left:#fff solid 5px;
}
.property-list.featured .featured-title > span {
    margin-left:.9rem;
}

.location-wrapper .location-marker {
    color:#ff0000;
}

.tags .tag-item {
    display:inline-block;
}
.tags .tag-item > .tag-text {
    background-color:#337ab7;
    color:#fff;
    border-radius:10px;
    padding:4px 8px;
    font-size:1.2rem;
}

/* Specific attributes for each widget */
.aside-widget > .widget-title {
    font-weight:850;
    padding-left:1rem;
    padding-top:20px;
}
.aside-widget.similar {
    background-color:#f29c07; /* dark orange */
}
.aside-widget.similar > .widget-title {
    color:#fff;
}

.aside-widget.latest {
    background-color:#4588d1;
}
.aside-widget.latest > .widget-title {
    color:#fff;
}

.aside-widget.featured {
    background-color:#339c03;
}
.aside-widget.featured > .widget-title {
    color:#fff;
}

/*************************************/
/* Property single */
/*************************************/
.flex-row {
    flex-direction: row;
    box-sizing: border-box;
    display: flex;
    place-content: center space-between;
    align-items: center;
}

.flex-column {
    flex-direction: column;
    box-sizing: border-box;
    display: flex;
}

/* .flex-row {
    flex-direction: row;
}
 */

.single-property {

}

.single-property .social-buttons {
    margin-top:1rem;
    /* background-color:#000; */
    background-color: #ced1d6;
    width: auto;
    padding: 8px 10px;
    position:absolute;
    top:10px;
    left:15px;
    border-radius: 8px;
}
.single-property .social-buttons .social-btn.bookmarked {
    background: #ff0066;
}
.single-property .social-buttons .social-btn {
    background: #337ab7;
    color: #fff;
    border-radius: 50%;
    margin: 0 3px;
    width: 3rem;
    height: 3rem;
    line-height: 3rem;
    text-align: center;
    font-size:1.8rem !important;
}

.social-buttons .social-btn:hover {
    background: #337ab7;
    color: #fff;
}
#linkWrapper {
    margin-top:2rem !important;
}
#linkWrapper #btnCopyLink {
    padding:.4rem .6rem !important;
    font-size:1.4rem !important;
}

.single-property .contact-section {
    background-color:#d9edf7;
    padding:1.4rem;

    border: 1px solid #00AEEF;
}
.contact-section .email, .contact-section .user-intro {
    font-size:1.5rem;
    opacity:.7;
}
.contact-section .user-intro {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0 !important;
}
.contact-section .email {
    word-break: break-all;
}

.single-property .contact-section .phone-no {
    margin-top:1.2rem;
}

.single-property .contact-section .phone-no .phone-mask::before {
    font-family: "FontAwesome";
    content: "\f095";
    margin-right:5px;
    font-size:2.2rem;
}

.single-property .contact-section .owner-thumb > img {
    border-radius: 50%;
    margin-bottom: 3px;
    width: 8rem;
    height: 8rem;
}
.single-property .checked-icon {
    color:#1976d2;
}
.single-property .property-info-icon > img {
    height:5rem;
    width:5rem;
    /* height:4rem;
    width:4rem; */
    /* Use filter to change icon color */
    filter: invert(65%) sepia(90%) saturate(3016%) hue-rotate(187deg) brightness(84%) contrast(93%);
}
.single-property .detail > div {
    margin-bottom:.4rem;
}
.single-property .detail.no-gutter > div {
    padding-left:0;
    padding-right:0;
}
.single-property > .card {
    /* margin-top:1.5rem; */
    margin-bottom:1.5rem;
}
.single-property .section-header {
    margin-top:6rem;
    margin-bottom:1rem;
    color: #1976d2;
    font-size: 1.8rem;
    font-weight:600;
}
.single-property .section-header:after {
    background-color: #E5E6E7;
    content: "";
    display: block;
    width: 30px;
    height: 3px;
    /* margin: 2px 0px 0px 0px; */
}
.single-property .title {
    color:#4588d1;
    font-size:2rem;
    font-weight:520;
}
.single-property .title {
    margin-bottom:.5rem !important;
}

.single-property .property-title {
    text-align: left;
}
.single-property .property-price-wrapper {
    /* position: absolute;
    right: 15px;
     */
    padding: 1.25rem;
    border-left: 1px solid rgba(128, 128, 128, 0.2);
}
.single-property .property-price-wrapper .price-text {
    color:red;
    font-size:2rem;
    font-weight:550;
}
.single-property .property-price-wrapper .price-term {
    color:#4588d1;
    font-weight:700;
}

.single-property #photoGallerySlider .carousel-control-prev-icon,
.single-property #photoGallerySlider .carousel-control-next-icon,
.single-article-wrapper #photoGallerySlider .carousel-control-prev-icon,
.single-article-wrapper #photoGallerySlider .carousel-control-next-icon{
    font-weight: 900;
    font-size:5rem;
    padding:1.5rem;
    background-color:#4588d1;
}
.single-property #photoGallerySlider .carousel-indicators,
.single-article-wrapper #photoGallerySlider .carousel-indicators {
    margin: 10px 0 0;
    overflow: auto;
    position: static;
    text-align: left;
    white-space: nowrap;
    width: 100%;
    height:150px;
}
.single-property #photoGallerySlider .carousel-indicators li, 
.single-article-wrapper #photoGallerySlider .carousel-indicators li {
    background-color: transparent;
    -webkit-border-radius: 0;
    border-radius: 0;
    display: inline-block;
    height: 90%;
    margin: 0 !important;
    padding: 0 2px !important;
    width: auto;
}
.single-property #photoGallerySlider .carousel-indicators li img,
.single-article-wrapper #photoGallerySlider .carousel-indicators li img {
    display: block;
    opacity: 0.5;
    height:100%;
}
.single-property #photoGallerySlider .carousel-indicators li.active img,
.single-article-wrapper #photoGallerySlider .carousel-indicators li.active img{
    opacity: 1;
    border: 5px #1976d2 solid;
}
.single-property #photoGallerySlider .carousel-indicators li:hover img, 
.single-article-wrapper #photoGallerySlider .carousel-indicators li:hover img {
    opacity: 0.75;
}

@media (min-width: 320px) {
    .single-property .carousel-inner, .single-article-wrapper .carousel-inner {
        height:30rem;
    }
}
@media (min-width: 576px) {
    .single-property .carousel-inner, .single-article-wrapper .carousel-inner {
        height:30rem;
    }
}
@media (min-width: 768px) {
    .single-property .carousel-inner, .single-article-wrapper .carousel-inner {
        height:40rem;
    }
}
@media (min-width: 992px) {
    .single-property .carousel-inner, .single-article-wrapper .carousel-inner {
        height:45rem;
    }
}
@media (min-width: 1200px) {
    .single-property .carousel-inner, .single-article-wrapper .carousel-inner {
        height:50rem;
    }
}
.single-property .carousel-item, .single-article-wrapper .carousel-item {
    /* height:550px; */
    height:100%;
}

.single-property .carousel-inner img, .single-article-wrapper .carousel-item img {
    width: 100%;
    height: 100%;
}

.single-property .properties-img, .single-article-wrapper .properties-img {
  height: 400px;
  margin-bottom: 2em;
}
  
.single-property .properties-img, .single-article-wrapper .properties-img,
.blog-img {
  /* background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;  */
  background-repeat: no-repeat;
  background-size: 100% 100%;
  object-fit: cover;
}

/*************************************/
.item-animate {
    opacity: 0;
    visibility: hidden; 
}
.fadeInUp {
    -webkit-animation-name: fadeInUp;
    animation-name: fadeInUp;
}

.not-viewable {
    font-size: 2rem;
    font-weight: bold;
    color: #4588d1;
}

/** ribbon styling **/
.ribbon-box {
    position: relative;
    /* max-width: 600px;
    width: 90%;
    height: 400px; */
    background: #fff;
    box-shadow: 0 0 15px rgba(0,0,0,.1);
}

.ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
    z-index: 100;
}
.ribbon::before,
.ribbon::after {
    position: absolute;
    /* z-index: -1; */
    content: '';
    display: block;
    /* border: 5px solid #2980b9; */
    border: 5px solid #A40000;
}
.ribbon span {
    position: absolute;
    display: block;
    width: 225px;
    padding: 15px 0;
    /* background-color: #3498db; */
    background-color: red;
    box-shadow: 0 5px 10px rgba(0,0,0,.1);
    color: #fff;
    font: 700 18px/1 'Lato', sans-serif;
    text-shadow: 0 1px 1px rgba(0,0,0,.2);
    text-transform: uppercase;
    text-align: center;
}

/* top left*/
.ribbon-top-left {
    top: -10px;
    left: -10px;
}
.ribbon-top-left::before,
.ribbon-top-left::after {
    border-top-color: transparent;
    border-left-color: transparent;
}
.ribbon-top-left::before {
    top: 0;
    right: 0;
}
.ribbon-top-left::after {
    bottom: 0;
    left: 0;
}
.ribbon-top-left span {
    right: -25px;
    top: 30px;
    transform: rotate(-45deg);
}

/* top right*/
.ribbon-top-right {
    top: -10px;
    right: -10px;
}
.ribbon-top-right::before,
.ribbon-top-right::after {
    border-top-color: transparent;
    border-right-color: transparent;
}
.ribbon-top-right::before {
    top: 0;
    left: 0;
}
.ribbon-top-right::after {
    bottom: 0;
    right: 0;
}
.ribbon-top-right span {
    left: -25px;
    top: 30px;
    transform: rotate(45deg);
}

/* bottom left*/
.ribbon-bottom-left {
    bottom: -10px;
    left: -10px;
}
.ribbon-bottom-left::before,
.ribbon-bottom-left::after {
    border-bottom-color: transparent;
    border-left-color: transparent;
}
.ribbon-bottom-left::before {
    bottom: 0;
    right: 0;
}
.ribbon-bottom-left::after {
    top: 0;
    left: 0;
}
.ribbon-bottom-left span {
    right: -25px;
    bottom: 30px;
    transform: rotate(225deg);
}

/* bottom right*/
.ribbon-bottom-right {
    bottom: -10px;
    right: -10px;
}
.ribbon-bottom-right::before,
.ribbon-bottom-right::after {
    border-bottom-color: transparent;
    border-right-color: transparent;
}
.ribbon-bottom-right::before {
    bottom: 0;
    left: 0;
}
.ribbon-bottom-right::after {
    top: 0;
    right: 0;
}
.ribbon-bottom-right span {
    left: -25px;
    bottom: 30px;
    transform: rotate(-225deg);
}
.youtube-video-container {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
}
.youtube-video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}